> ## Documentation Index
> Fetch the complete documentation index at: https://langwatch.ai/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Create a new trigger

> Create a new trigger (automation)



## OpenAPI

````yaml POST /api/triggers
openapi: 3.1.0
info:
  title: LangWatch API
  version: 1.0.0
  description: LangWatch openapi spec
servers:
  - url: https://app.langwatch.ai
security:
  - project_api_key: []
paths:
  /api/triggers:
    post:
      description: Create a new trigger (automation)
      operationId: postApiTriggers
      parameters: []
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                name:
                  type: string
                  minLength: 1
                action:
                  type: string
                  enum:
                    - SEND_EMAIL
                    - ADD_TO_DATASET
                    - ADD_TO_ANNOTATION_QUEUE
                    - SEND_SLACK_MESSAGE
                actionParams:
                  type: object
                  additionalProperties: {}
                  default: {}
                filters:
                  type: object
                  additionalProperties: {}
                  default: {}
                message:
                  type: string
                alertType:
                  type: string
                  enum:
                    - CRITICAL
                    - WARNING
                    - INFO
              required:
                - name
                - action
      responses:
        '201':
          description: Trigger created
          content:
            application/json:
              schema:
                type: object
                properties:
                  id:
                    type: string
                  name:
                    type: string
                  action:
                    type: string
                    enum:
                      - SEND_EMAIL
                      - ADD_TO_DATASET
                      - ADD_TO_ANNOTATION_QUEUE
                      - SEND_SLACK_MESSAGE
                  actionParams:
                    type: object
                    additionalProperties: {}
                  filters:
                    type: object
                    additionalProperties: {}
                  active:
                    type: boolean
                  message:
                    type:
                      - string
                      - 'null'
                  alertType:
                    type:
                      - string
                      - 'null'
                    enum:
                      - CRITICAL
                      - WARNING
                      - INFO
                      - null
                  createdAt:
                    type: string
                  updatedAt:
                    type: string
                  platformUrl:
                    type: string
                    format: uri
                required:
                  - id
                  - name
                  - action
                  - actionParams
                  - filters
                  - active
                  - message
                  - alertType
                  - createdAt
                  - updatedAt
                  - platformUrl
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                  message:
                    type: string
                required:
                  - error
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                  message:
                    type: string
                required:
                  - error
        '422':
          description: Unprocessable Entity
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                  message:
                    type: string
                required:
                  - error
        '500':
          description: Internal Server Error
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                  message:
                    type: string
                required:
                  - error
components:
  securitySchemes:
    project_api_key:
      type: apiKey
      in: header
      name: X-Auth-Token
      description: >-
        Project API key for sending traces and accessing project-scoped
        resources. Format: sk-lw-... (no underscore). Obtain one by creating a
        project via the Admin API or the LangWatch UI.

````